| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
Digikam::SimpleTreeModel Class Reference
Inheritance diagram for Digikam::SimpleTreeModel:

## Classes
class | Item

## Public Member Functions
| SimpleTreeModel (const int columnCount, QObject *const parent=nullptr)
Item * | addItem (Item *const parentItem=nullptr, const int rowNumber=-1)
int | columnCount (const QModelIndex &parent=QModelIndex()) const override
| QAbstractItemModel:
QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const override
Qt::ItemFlags | flags (const QModelIndex &index) const override
QVariant | headerData (int section, Qt::Orientation orientation, int role) const override
QModelIndex | index (int row, int column, const QModelIndex &parent=QModelIndex()) const override
Item * | indexToItem (const QModelIndex &itemIndex) const
QModelIndex | itemToIndex (const Item *const item) const
QModelIndex | parent (const QModelIndex &index) const override
Item * | rootItem () const
int | rowCount (const QModelIndex &parent=QModelIndex()) const override
bool | setData (const QModelIndex &index, const QVariant &value, int role) override
bool | setHeaderData (int section, Qt::Orientation orientation, const QVariant &value, int role) override